# Test: Empty module name in path (src/modules//agents/)
# Expected: PASS - treated as core agent (empty module normalizes to null)
# Path context: src/modules//agents/test.agent.yaml

agent:
  metadata:
    id: empty-module-path
    name: Empty Module in Path
    title: Empty Module Path
    icon: 🧪
    hasSidecar: false
    # No module field - path has empty module name, treated as core

  persona:
    role: Test agent for empty module name in path
    identity: I test the edge case where module name in path is empty.
    communication_style: Clear
    principles:
      - Test path parsing edge cases

  menu:
    - trigger: help
      description: Show help
      action: display_help
